[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TNBPages.Put

Re-implements the method used to store a string value at a specified position in the list.

## Declaration

Source position: comctrls.pp line 309

`protected procedure TNBPages.Put(`
`Index: Integer;`
`const S: string`
`); override;`

## Arguments

`Index` |  | Ordinal position where the string value is stored.
`S` |  | String value stored at the specified position in the list.

## Description

Stores the value in S to the Caption property for the TCustomPage instance in PageList.

## See also

TNBPages.PageList |  | List with the TCustomPage instances for the class instance.
TStringList